// IB25Decoder.h: IB25Decoder NX̃C^[tFCX
//
//////////////////////////////////////////////////////////////////////

#if !defined(_IB25DECORDER_H_)
#define _IB25DECORDER_H_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


// B25fR[_C^tF[X
class IB25Decoder
{
public:
	virtual const BOOL Initialize(DWORD dwRound = 4) = 0;
	virtual void Release(void) = 0;

	virtual const BOOL Decode(BYTE *pSrcBuf, const DWORD dwSrcSize, BYTE **ppDstBuf, DWORD *pdwDstSize) = 0;
	virtual const BOOL Flush(BYTE **ppDstBuf, DWORD *pdwDstSize) = 0;
	virtual const BOOL Reset(void) = 0;
};


// CX^X\bh
extern "C" __declspec(dllimport) IB25Decoder * CreateB25Decoder(void);


#endif // !defined(_IB25DECORDER_H_)
